VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::VMTypes::CreateSpec Class Reference

Document-based creation spec. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.GuestOS | GetGuestOS ()
| Guest OS.
void | SetGuestOS (vmware.vcenter.vm.GuestOS guestOS)
| Guest OS.
string | GetName ()
| Virtual machine name.
void | SetName (string name)
| Virtual machine name.
vmware.vcenter.VMTypes.PlacementSpec | GetPlacement ()
| Virtual machine placement information.
void | SetPlacement (vmware.vcenter.VMTypes.PlacementSpec placement)
| Virtual machine placement information.
vmware.vcenter.vm.HardwareTypes.Version | GetHardwareVersion ()
| Virtual hardware version.
void | SetHardwareVersion (vmware.vcenter.vm.HardwareTypes.Version hardwareVersion)
| Virtual hardware version.
vmware.vcenter.vm.hardware.BootTypes.CreateSpec | GetBoot ()
| Boot configuration.
void | SetBoot (vmware.vcenter.vm.hardware.BootTypes.CreateSpec boot)
| Boot configuration.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.EntryCreateSpec > | GetBootDevices ()
| Boot device configuration.
void | SetBootDevices (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.EntryCreateSpec > bootDevices)
| Boot device configuration.
vmware.vcenter.vm.hardware.CpuTypes.UpdateSpec | GetCpu ()
| CPU configuration.
void | SetCpu (vmware.vcenter.vm.hardware.CpuTypes.UpdateSpec cpu)
| CPU configuration.
vmware.vcenter.vm.hardware.MemoryTypes.UpdateSpec | GetMemory ()
| Memory configuration.
void | SetMemory (vmware.vcenter.vm.hardware.MemoryTypes.UpdateSpec memory)
| Memory configuration.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.DiskTypes.CreateSpec > | GetDisks ()
| List of disks.
void | SetDisks (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.DiskTypes.CreateSpec > disks)
| List of disks.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec > | GetNics ()
| List of Ethernet adapters.
void | SetNics (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec > nics)
| List of Ethernet adapters.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.CdromTypes.CreateSpec > | GetCdroms ()
| List of CD-ROMs.
void | SetCdroms (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.CdromTypes.CreateSpec > cdroms)
| List of CD-ROMs.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec > | GetFloppies ()
| List of floppy drives.
void | SetFloppies (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec > floppies)
| List of floppy drives.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec > | GetParallelPorts ()
| List of parallel ports.
void | SetParallelPorts (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec > parallelPorts)
| List of parallel ports.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.SerialTypes.CreateSpec > | GetSerialPorts ()
| List of serial ports.
void | SetSerialPorts (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.SerialTypes.CreateSpec > serialPorts)
| List of serial ports.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec > | GetSataAdapters ()
| List of SATA adapters.
void | SetSataAdapters (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec > sataAdapters)
| List of SATA adapters.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec > | GetScsiAdapters ()
| List of SCSI adapters.
void | SetScsiAdapters (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec > scsiAdapters)
| List of SCSI adapters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Document-based creation spec.

## Constructor & Destructor Documentation

vmware::vcenter::VMTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::VMTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::VMTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::VMTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::VMTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::VMTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::VMTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.BootTypes.CreateSpec vmware::vcenter::VMTypes::CreateSpec::GetBoot | ( |  | ) | `[inline]`

Boot configuration.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.EntryCreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetBootDevices | ( |  | ) | `[inline]`

Boot device configuration.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.CdromTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetCdroms | ( |  | ) | `[inline]`

List of CD-ROMs.

vmware.vcenter.vm.hardware.CpuTypes.UpdateSpec vmware::vcenter::VMTypes::CreateSpec::GetCpu | ( |  | ) | `[inline]`

CPU configuration.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.DiskTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetDisks | ( |  | ) | `[inline]`

List of disks.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetFloppies | ( |  | ) | `[inline]`

List of floppy drives.

vmware.vcenter.vm.GuestOS vmware::vcenter::VMTypes::CreateSpec::GetGuestOS | ( |  | ) | `[inline]`

Guest OS.

vmware.vcenter.vm.HardwareTypes.Version vmware::vcenter::VMTypes::CreateSpec::GetHardwareVersion | ( |  | ) | `[inline]`

Virtual hardware version.

override int vmware::vcenter::VMTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.MemoryTypes.UpdateSpec vmware::vcenter::VMTypes::CreateSpec::GetMemory | ( |  | ) | `[inline]`

Memory configuration.

string vmware::vcenter::VMTypes::CreateSpec::GetName | ( |  | ) | `[inline]`

Virtual machine name.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetNics | ( |  | ) | `[inline]`

List of Ethernet adapters.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetParallelPorts | ( |  | ) | `[inline]`

List of parallel ports.

vmware.vcenter.VMTypes.PlacementSpec vmware::vcenter::VMTypes::CreateSpec::GetPlacement | ( |  | ) | `[inline]`

Virtual machine placement information.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetSataAdapters | ( |  | ) | `[inline]`

List of SATA adapters.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetScsiAdapters | ( |  | ) | `[inline]`

List of SCSI adapters.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.SerialTypes.CreateSpec> vmware::vcenter::VMTypes::CreateSpec::GetSerialPorts | ( |  | ) | `[inline]`

List of serial ports.

void vmware::vcenter::VMTypes::CreateSpec::SetBoot | ( | vmware.vcenter.vm.hardware.BootTypes.CreateSpec | boot | ) | `[inline]`

Boot configuration.

void vmware::vcenter::VMTypes::CreateSpec::SetBootDevices | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.EntryCreateSpec > | bootDevices | ) | `[inline]`

Boot device configuration.

void vmware::vcenter::VMTypes::CreateSpec::SetCdroms | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.CdromTypes.CreateSpec > | cdroms | ) | `[inline]`

List of CD-ROMs.

void vmware::vcenter::VMTypes::CreateSpec::SetCpu | ( | vmware.vcenter.vm.hardware.CpuTypes.UpdateSpec | cpu | ) | `[inline]`

CPU configuration.

void vmware::vcenter::VMTypes::CreateSpec::SetDisks | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.DiskTypes.CreateSpec > | disks | ) | `[inline]`

List of disks.

void vmware::vcenter::VMTypes::CreateSpec::SetFloppies | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec > | floppies | ) | `[inline]`

List of floppy drives.

void vmware::vcenter::VMTypes::CreateSpec::SetGuestOS | ( | vmware.vcenter.vm.GuestOS | guestOS | ) | `[inline]`

Guest OS.

void vmware::vcenter::VMTypes::CreateSpec::SetHardwareVersion | ( | vmware.vcenter.vm.HardwareTypes.Version | hardwareVersion | ) | `[inline]`

Virtual hardware version.

void vmware::vcenter::VMTypes::CreateSpec::SetMemory | ( | vmware.vcenter.vm.hardware.MemoryTypes.UpdateSpec | memory | ) | `[inline]`

Memory configuration.

void vmware::vcenter::VMTypes::CreateSpec::SetName | ( | string | name | ) | `[inline]`

Virtual machine name.

void vmware::vcenter::VMTypes::CreateSpec::SetNics | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec > | nics | ) | `[inline]`

List of Ethernet adapters.

void vmware::vcenter::VMTypes::CreateSpec::SetParallelPorts | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec > | parallelPorts | ) | `[inline]`

List of parallel ports.

void vmware::vcenter::VMTypes::CreateSpec::SetPlacement | ( | vmware.vcenter.VMTypes.PlacementSpec | placement | ) | `[inline]`

Virtual machine placement information.

void vmware::vcenter::VMTypes::CreateSpec::SetSataAdapters | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec > | sataAdapters | ) | `[inline]`

List of SATA adapters.

void vmware::vcenter::VMTypes::CreateSpec::SetScsiAdapters | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec > | scsiAdapters | ) | `[inline]`

List of SCSI adapters.

void vmware::vcenter::VMTypes::CreateSpec::SetSerialPorts | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.SerialTypes.CreateSpec > | serialPorts | ) | `[inline]`

List of serial ports.

override string vmware::vcenter::VMTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VMTypes.cs